Description

I'm getting this error in foreman 1.7 on CentOS 7. I receive the error using all of the following methods for updating a host:

- hammer host update

- curl H "Content-Type: application/json" -u admin:$password -k --fail --silent -X PUT -d '{"host": {"hostgroup_id": 1}}'

"https://ops1.zone1.example.com/api/v2/hosts/ops1.zone1.example.com"

python requests module

hammer debug output is:

[root@ops1 ~]# /usr/bin/hammer -d host update --hostgroup ops1.zone1.example.com --name ops1.zone1

.example.com

[ INFO 2015-02-24 13:29:56 Init] Initialization of Hammer CLI (0.1.3) has started...

[DEBUG 2015-02-24 13:29:56 Init] Running at ruby 2.0.0-p353

[ INFO 2015-02-24 13:29:56 Init] Configuration from the file /etc/hammer/cli_config.yml has been l

oaded

[ INFO 2015-02-24 13:29:56 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml

 has been loaded

[ INFO 2015-02-24 13:29:56 Init] Configuration from the file /root/.hammer/cli.modules.d/foreman.y

ml has been loaded

[DEBUG 2015-02-24 13:29:57 Connection] Registered: foreman

[DEBUG 2015-02-24 13:29:57 API] Global headers: {

        :content_type => "application/json",

              :accept => "application/json;version=2",

    "Accept-Language" => "en" 

}

[ INFO 2015-02-24 13:29:57 Modules] Extension module hammer_cli_foreman (0.1.3) loaded

[DEBUG 2015-02-24 13:29:57 Init] Using locale 'en'

[DEBUG 2015-02-24 13:29:57 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/share

/gems/gems/hammer_cli-0.1.3/locale'

[DEBUG 2015-02-24 13:29:57 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/share

/locale'

[DEBUG 2015-02-24 13:29:57 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/u

sr/share/gems/gems/hammer_cli_foreman-0.1.3/locale'

[DEBUG 2015-02-24 13:29:57 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/u

sr/share/locale'

[ INFO 2015-02-24 13:29:57 HammerCLI::MainCommand] Called with options: {"option_debug"=>true}

[ INFO 2015-02-24 13:29:57 HammerCLIForeman::Host] Called with options: {}

[ INFO 2015-02-24 13:29:57 HammerCLIForeman::Host::UpdateCommand] Called with options: {"option_vo

lume_list"=>[], "option_interface_list"=>[], "option_name"=>"ops1.zone1.example.com", "option_host

group_name"=>"ops1.zone1.example.com"}

[ INFO 2015-02-24 13:29:57 API] GET /api/hostgroups

[DEBUG 2015-02-24 13:29:57 API] Params: {

    :search => "name = \"ops1.zone1.example.com\"" 

}

[DEBUG 2015-02-24 13:29:57 API] Headers: {

    :params => {
        :search => "name = \"ops1.zone1.example.com\"" 

    }

}

[DEBUG 2015-02-24 13:29:57 API] Response: {

       "total" => 1,

    "subtotal" => 1,

        "page" => 1,

    "per_page" => 20,

      "search" => "name = \"ops1.zone1.example.com\"",

        "sort" => {

           "by" => nil,

        "order" => nil

    },

     "results" => [

        [0] {

                              "id" => 1,

                            "name" => "ops1.zone1.example.com",

                           "title" => "ops1.zone1.example.com",

                       "subnet_id" => 1,

                     "subnet_name" => "Management",

              "operatingsystem_id" => 2,

            "operatingsystem_name" => "Ubuntu 14.04",

                       "domain_id" => 1,

                     "domain_name" => "zone1.example.com",

                  "environment_id" => 3,

                "environment_name" => "testing",

              "compute_profile_id" => nil,

            "compute_profile_name" => nil,

                        "ancestry" => nil,

                 "puppet_proxy_id" => 1,

              "puppet_ca_proxy_id" => 1,

                       "ptable_id" => 8,

                     "ptable_name" => "Preseed default",

                       "medium_id" => 6,

                     "medium_name" => "Ubuntu mirror",

                 "architecture_id" => 1,

               "architecture_name" => "x86_64",

                        "realm_id" => nil,

                      "realm_name" => nil,

                      "created_at" => "2015-02-24T19:58:32Z",

                      "updated_at" => "2015-02-24T19:58:32Z" 

        }

    ]

}

[DEBUG 2015-02-24 13:29:57 API] Response headers: {

                   :date => "Tue, 24 Feb 2015 21:29:57 GMT",

                 :server => "Apache/2.4.6 (CentOS)",

        :foreman_version => "1.7.2",

    :foreman_api_version => "2",

        :apipie_checksum => "b11cc24f3ad4868cff40aeabbae5e069",

        :x_ua_compatible => "IE=Edge,chrome=1",

          :cache_control => "must-revalidate, private, max-age=0",

           :x_request_id => "c6e19c98cc3643177c2ec45de40212cf",

              :x_runtime => "0.034948",

           :x_rack_cache => "miss",

           :x_powered_by => "Phusion Passenger 4.0.18",

             :set_cookie => [

        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTk5OWFjZjM3OWRjZTZlMjk5OGI4MGZmMGVhOTU3N

TkzBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--739a59fec19f4a6beb0ad49bd42f6274337ac115; path=/; HttpOnly" 

    ],

                   :etag => "\"15a8ffa67fb848ba473737549950eeac\"",

                 :status => "200 OK",

             :connection => "close",

      :transfer_encoding => "chunked",

           :content_type => "application/json; charset=utf-8" 

}

[ INFO 2015-02-24 13:29:57 API] GET /api/hosts
[DEBUG 2015-02-24 13:29:57 API] Params: {

    :search => "name = \"ops1.zone1.example.com\"" 

}

[DEBUG 2015-02-24 13:29:57 API] Headers: {

    :params => {

        :search => "name = \"ops1.zone1.example.com\"" 

    }

}

[DEBUG 2015-02-24 13:29:57 API] Response: {

       "total" => 2,

    "subtotal" => 1,

        "page" => 1,

    "per_page" => 20,

      "search" => "name = \"ops1.zone1.example.com\"",

        "sort" => {

           "by" => nil,

        "order" => nil

    },

     "results" => [

        [0] {

                             "name" => "ops1.zone1.example.com",

                               "id" => 1,

                               "ip" => "172.16.156.131",

                   "environment_id" => 3,

                 "environment_name" => "testing",

                      "last_report" => "2015-02-24T21:26:38Z",

                              "mac" => "00:0c:29:d6:49:53",

                         "realm_id" => nil,

                       "realm_name" => nil,

                           "sp_mac" => nil,

                            "sp_ip" => nil,

                          "sp_name" => nil,

                        "domain_id" => 1,

                      "domain_name" => "zone1.example.com",

                  "architecture_id" => 1,

                "architecture_name" => "x86_64",

               "operatingsystem_id" => 1,

             "operatingsystem_name" => "CentOS 7.0",

                        "subnet_id" => nil,

                      "subnet_name" => nil,

                     "sp_subnet_id" => nil,

                        "ptable_id" => nil,

                      "ptable_name" => nil,

                        "medium_id" => nil,

                      "medium_name" => nil,

                            "build" => false,

                          "comment" => nil,

                             "disk" => nil,

                     "installed_at" => nil,

                         "model_id" => 1,

                       "model_name" => "VMware Virtual Platform",

                     "hostgroup_id" => nil,

                   "hostgroup_name" => nil,

                         "owner_id" => 3,

                       "owner_type" => "User",

                          "enabled" => true,

               "puppet_ca_proxy_id" => 1,

                          "managed" => false,

                        "use_image" => nil,

                       "image_file" => "",

                             "uuid" => nil,

              "compute_resource_id" => nil,

            "compute_resource_name" => nil,

               "compute_profile_id" => nil,

             "compute_profile_name" => nil,

                     "capabilities" => [

                [0] "build" 
            ],

                 "provision_method" => "build",

                  "puppet_proxy_id" => 1,

                         "certname" => "ops1.zone1.example.com",

                         "image_id" => nil,

                       "image_name" => nil,

                       "created_at" => "2015-02-24T19:53:38Z",

                       "updated_at" => "2015-02-24T21:26:42Z",

                     "last_compile" => "2015-02-24T21:26:41Z",

                  "last_freshcheck" => nil,

                           "serial" => nil,

                   "source_file_id" => nil,

                    "puppet_status" => 0

        }

    ]

}

[DEBUG 2015-02-24 13:29:57 API] Response headers: {

                   :date => "Tue, 24 Feb 2015 21:29:57 GMT",

                 :server => "Apache/2.4.6 (CentOS)",

        :foreman_version => "1.7.2",

    :foreman_api_version => "2",

        :apipie_checksum => "b11cc24f3ad4868cff40aeabbae5e069",

        :x_ua_compatible => "IE=Edge,chrome=1",

          :cache_control => "must-revalidate, private, max-age=0",

           :x_request_id => "6ad3c1a518f9ff4739fd5ac7b2449227",

              :x_runtime => "0.123171",

           :x_rack_cache => "miss",

           :x_powered_by => "Phusion Passenger 4.0.18",

             :set_cookie => [

        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWY4NTE1NTMzZGViNWRmOWJjZWIxY2NmYjZmYTk4O

TI2BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--f778da37f50903d067ff81de0c6d94544e72074e; path=/; HttpOnly" 

    ],

                   :etag => "\"ef38923176e8a047fb50f2c45352d62b\"",

                 :status => "200 OK",

             :connection => "close",

      :transfer_encoding => "chunked",

           :content_type => "application/json; charset=utf-8" 

}

[ INFO 2015-02-24 13:29:57 API] PUT /api/hosts/1

[DEBUG 2015-02-24 13:29:57 API] Params: {

    "host" => {

                              "name" => "ops1.zone1.example.com",

                      "hostgroup_id" => 1,

                "compute_attributes" => {

            "volumes_attributes" => {}

        },

        "host_parameters_attributes" => {},

             "interfaces_attributes" => {}

    }

}

[DEBUG 2015-02-24 13:29:57 API] Headers: {}

[DEBUG 2015-02-24 13:29:57 API] 500 Internal Server Error

{

    "error" => {

        "message" => "No such file or directory - true" 

    }

}

[ERROR 2015-02-24 13:29:57 Exception] No such file or directory - true

Could not update the host:

  No such file or directory - true

[ERROR 2015-02-24 13:29:57 Exception]

RestClient::InternalServerError (500 Internal Server Error):

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:48:in `return!'

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:234:in `process_result'

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:182:in `block in transmit'

    /usr/share/ruby/net/http.rb:852:in `start'
    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:176:in `transmit'

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:65:in `execute'

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:34:in `execute'

    /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:76:in `put'

    /usr/share/gems/gems/apipie-bindings-0.0.10/lib/apipie_bindings/api.rb:199:in `http_call'

    /usr/share/gems/gems/apipie-bindings-0.0.10/lib/apipie_bindings/api.rb:153:in `call'

    /usr/share/gems/gems/apipie-bindings-0.0.10/lib/apipie_bindings/resource.rb:14:in `call'

    /usr/share/gems/gems/hammer_cli-0.1.3/lib/hammer_cli/apipie/command.rb:42:in `send_request'

    /usr/share/gems/gems/hammer_cli_foreman-0.1.3/lib/hammer_cli_foreman/commands.rb:164:in `send_

request'

    /usr/share/gems/gems/hammer_cli-0.1.3/lib/hammer_cli/apipie/command.rb:33:in `execute'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'

    /usr/share/gems/gems/hammer_cli-0.1.3/lib/hammer_cli/abstract.rb:22:in `run'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'

    /usr/share/gems/gems/hammer_cli-0.1.3/lib/hammer_cli/abstract.rb:22:in `run'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'

    /usr/share/gems/gems/hammer_cli-0.1.3/lib/hammer_cli/abstract.rb:22:in `run'

    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:126:in `run'

    /usr/share/gems/gems/hammer_cli-0.1.3/bin/hammer:106:in `<top (required)>'

    /usr/bin/hammer:23:in `load'

    /usr/bin/hammer:23:in `<main>'

 Server side error from production.log is:

Started PUT "/api/hosts/1" for 127.0.0.1 at 2015-02-25 12:14:33 -0800

Processing by Api::V2::HostsController#update as JSON

  Parameters: {"host"=>{"name"=>"ops1.zone1.example.com", "hostgroup_id"=>1, "compute_attributes"=

>{"volumes_attributes"=>{}}, "host_parameters_attributes"=>{}, "interfaces_attributes"=>{}}, "apiv

"=>"v2", "id"=>"1"}

Authorized user admin(Admin User)

No such file or directory - true (Errno::ENOENT)

/usr/share/foreman/lib/proxy_api/resource.rb:20:in `read'

/usr/share/foreman/lib/proxy_api/resource.rb:20:in `initialize'

/usr/share/foreman/lib/proxy_api/dns.rb:5:in `initialize'

/usr/share/foreman/app/models/domain.rb:63:in `new'

/usr/share/foreman/app/models/domain.rb:63:in `proxy'

/usr/share/foreman/app/models/concerns/orchestration/dns.rb:10:in `dns?'

/usr/share/foreman/app/models/concerns/orchestration/dns.rb:72:in `queue_dns'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:516:i

n `_run__2945446755348458827__validation__3608100856485630858__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_validation_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activemodel-3.2.8/lib/active_model/validations/callbacks.

rb:53:in `run_validations!'

/opt/rh/ruby193/root/usr/share/gems/gems/activemodel-3.2.8/lib/active_model/validations.rb:194:in 

`valid?'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:69:in

 `valid?'

/usr/share/foreman/app/models/concerns/orchestration.rb:47:in `valid?'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:77:in

 `perform_validations'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50:in

 `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/di

rty.rb:22:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:

in `block (2 levels) in save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:

in `block in with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/database_statements.rb:192:in `transaction'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:

in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:

in `with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:

in `block in save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:252:

in `rollback_active_record_state!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:240:

in `save'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:216:i

n `block in update_attributes'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:

in `block in with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/database_statements.rb:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:

in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:

in `with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:214:i

n `update_attributes'

/usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:91:in `update'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_ren

der.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb

:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:

in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:550:i

n `block (4 levels) in _run__137120591254623758__process_action__3448591287754640333__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_7271'

/usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_7271'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:516:i

n `block (3 levels) in _run__137120591254623758__process_action__3448591287754640333__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_7270'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_1921'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_7270'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:493:i

n `block (2 levels) in _run__137120591254623758__process_action__3448591287754640333__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_7269'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_7269'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:426:i

n `block in _run__137120591254623758__process_action__3448591287754640333__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_7268'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_7268'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:i
n `_run__137120591254623758__process_action__3448591287754640333__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:

in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29

:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:30:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapp

er.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_

runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `

process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:

in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `d

ispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegat

ion.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `b

lock in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb:42

:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_head

ers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_stan

dards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:1

4:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_pa

rser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:

242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `contex

t'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.r
b:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/connection_pool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `_run__548182941304249535__call__3608100856485630858__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip

.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exc

eptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exce

ptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_i

d.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/loc

al_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalida

te'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in

 `process_request'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:

in `accept_and_process_next_request'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:

in `main_loop'

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 le

vels) in start_threads'

  Rendered api/v2/errors/standard_error.json.rabl within api/v2/layouts/error_layout (0.5ms)

Completed 500 Internal Server Error in 151ms (Views: 1.3ms | ActiveRecord: 8.2ms)

History

#1 - 02/25/2015 03:36 PM - James Kyle

- File Screen Shot 2015-02-25 at 12.35.32 PM.png added

Confirmed that this also occurs in the GUI. Screen shot attached.
#2 - 02/25/2015 03:44 PM - James Kyle

Foreman Debug file uploaded to the foreman public server:

foreman-debug-CXl4u.tar.xz

#3 - 03/02/2015 03:57 AM - Dominic Cleal

- Status changed from New to Feedback

Please check the value of "ssl_priv_key" under Administer > Settings > Provisioning.  It sounds like it's set to "true" and not the full path to the private

SSL key.  In a default installation, this would be the path to the Puppet private key, e.g. /var/lib/puppet/ssl/private_keys/foo.example.com.pem.

#4 - 10/11/2016 12:42 PM - Anonymous

- Status changed from Feedback to Closed

no reaction. closing.

Files

Screen Shot 2015-02-25 at 12.35.32 PM.png 45.7 KB 02/25/2015 James Kyle
